### Hierarchy

- JsonFormsBaseRenderer<Layout>
  - JsonFormsIonicLayout
    - HorizontalLayoutRenderer
    - VerticalLayoutRenderer
    - CategorizationTabLayoutRenderer
    - GroupLayoutRenderer
    - LabelRenderer
    - CategorizationMenuLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- elements
- initializers
- ngRedux
- path
- schema
- subscription
- uischema

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new JsonFormsIonicLayout(ngRedux: NgRedux<JsonFormsState>): JsonFormsIonicLayout

- - Defined in layouts/JsonFormsIonicLayout.ts:17

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns JsonFormsIonicLayout

## Properties

### elements

elements: UISchemaElement[]

- Defined in layouts/JsonFormsIonicLayout.ts:15

### initializers

initializers: any[] = []

- Defined in layouts/JsonFormsIonicLayout.ts:17

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

- Defined in layouts/JsonFormsIonicLayout.ts:19

### path

path: string

Overrides JsonFormsBaseRenderer.path

- Defined in layouts/JsonFormsIonicLayout.ts:14

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### subscription

subscription: Subscription

- Defined in layouts/JsonFormsIonicLayout.ts:16

### uischema

uischema: Layout

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in layouts/JsonFormsIonicLayout.ts:38

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in layouts/JsonFormsIonicLayout.ts:23

  #### Returns void

Generated using TypeDoc